Bug 1128859

Summary: SELinux is preventing /usr/bin/fusermount from 'mount' accesses on the filesystem /.
Product: [Fedora] Fedora Reporter: Moez Roy <moez.roy>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: dominick.grift, dwalsh, lvrabec, mgrepl, moez.roy, normand, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:fa5206c260450ef8e2613d005af964c59a5e10880c929bfe0f62e9c077a8e364
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 03:23:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Moez Roy 2014-08-11 16:08:05 UTC
Description of problem:
SELinux is preventing /usr/bin/fusermount from 'mount' accesses on the filesystem /.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that fusermount should be allowed mount access on the  filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep fusermount /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                / [ filesystem ]
Source                        fusermount
Source Path                   /usr/bin/fusermount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           fuse-2.9.3-3.fc21.x86_64
Target RPM Packages           filesystem-3.2-26.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-71.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.16.0-1.fc21.x86_64 #1 SMP Mon
                              Aug 4 10:01:25 UTC 2014 x86_64 x86_64
Alert Count                   4
First Seen                    2014-08-11 08:51:32 PDT
Last Seen                     2014-08-11 08:56:53 PDT
Local ID                      adc197f7-9959-4b1a-b120-a48d1a31d160

Raw Audit Messages
type=AVC msg=audit(1407772613.950:534): avc:  denied  { mount } for  pid=4232 comm="fusermount" name="/" dev="fuse" ino=1 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fusefs_t:s0 tclass=filesystem permissive=1


type=SYSCALL msg=audit(1407772613.950:534): arch=x86_64 syscall=mount success=yes exit=0 a0=20d2850 a1=4051eb a2=20d2890 a3=6 items=0 ppid=4231 pid=4232 auid=4294967295 uid=42 gid=42 euid=0 suid=0 fsuid=0 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm=fusermount exe=/usr/bin/fusermount subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: fusermount,xdm_t,fusefs_t,filesystem,mount

Version-Release number of selected component:
selinux-policy-3.13.1-71.fc21.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.0-1.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-12 12:14:13 UTC
*** Bug 1128858 has been marked as a duplicate of this bug. ***

Comment 2 Daniel Walsh 2014-08-12 12:28:48 UTC
What login program are you using?  And any idea why it is mounting and unmounting fuse file systems?

Comment 3 Moez Roy 2014-08-13 15:53:35 UTC
(In reply to Daniel Walsh from comment #2)
> What login program are you using?  And any idea why it is mounting and
> unmounting fuse file systems?

I am using GDM.

I don't know why it is mounting / unmounting fuse file systems.

Comment 4 Daniel Walsh 2014-08-14 19:53:56 UTC
Does anything actually get blocked. IE If you put the machine into enforcing mode, can you log in?  

After you log in what does id -Z say?

Comment 5 Moez Roy 2014-08-17 12:56:38 UTC
(In reply to Daniel Walsh from comment #4)
> Does anything actually get blocked. IE If you put the machine into enforcing
> mode, can you log in?  
> 
> After you log in what does id -Z say?

I get a black screen after loggin in.

Comment 6 Moez Roy 2014-08-17 12:57:29 UTC
(In reply to quickbooks.office from comment #5)
> (In reply to Daniel Walsh from comment #4)
> > Does anything actually get blocked. IE If you put the machine into enforcing
> > mode, can you log in?  
> > 
> > After you log in what does id -Z say?
> 
> I get a black screen after loggin in.

But I am not sure if the black screen issue is caused by this AVC or another one.

Comment 7 Miroslav Grepl 2014-08-18 11:44:26 UTC
So it does not work in enforcing mode.

Comment 8 Fedora End Of Life 2015-11-04 15:15:03 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 03:23:25 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.